<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

wp_head();
get_header();
get_template_part('template-part/headers/head'); ?>


<?php
global $sigma;
if ($sigma['shop_sidebar'] == 'right-sidebar') {
    ?>
    <div class="container<?php echo $sigma['shop_page_layout']; ?>">
        <div class="row">

            <div class="col-lg-3 nopadding-left side-archive">
                <div class="sidebar_shop">

                    <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('shop-sidebar')) : else : ?><?php endif; ?>

                </div>
                <?php if ($sigma['side_ads'] == 'inherit') { ?>
                <div class="ads_sidebar">
                    <a href="<?php echo $sigma['ads_side_link']; ?>" target="<?php echo $sigma['ads_side_target']; ?>">
                        <?php 
                        if ($sigma['ads_side_banner']['url'] != '') { ?>
                            <img src="<?php echo $sigma['ads_side_banner']['url']; ?>">
                        <?php } else { ?>
                            <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/ads300-1.png">
                        <?php } ?>
                    </a>
                </div>
                <?php } ?>

                <?php if (is_active_sidebar('permissions-sidebar')) { ?>
                    <div id="permissions" class="owl-carousel owl-theme enamad">

                        <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('permissions-sidebar')) : else : ?><?php endif; ?>

                    </div>
                <?php } ?>


            </div>

            <div class="col-lg-9">

                <div class="breadcrumb_post">
                    <?php
                    $args = array(
                        'delimiter' => ' <i></i> ',
                        'home' => __('home',  'sigma-theme'));
                    woocommerce_breadcrumb($args); 
                    ?>
                </div>
                <div class="archives-product">
                    <div class="row archives_sigma">

                        <?php

                        defined('ABSPATH') || exit;
                        get_header('shop'); ?>

                        <header class="woocommerce-products-header">
                            <?php if (apply_filters('woocommerce_show_page_title', true)) : ?>
                                <h1 class="woocommerce-products-header__title page-title"><?php woocommerce_page_title(); ?></h1>
                            <?php endif; ?>
                        </header>
                        <?php
                        if (woocommerce_product_loop()) {

                            /**
                             * Hook: woocommerce_before_shop_loop.
                             *
                             * @hooked woocommerce_output_all_notices - 10
                             * @hooked woocommerce_result_count - 20
                             * @hooked woocommerce_catalog_ordering - 30
                             */
                            do_action('woocommerce_before_shop_loop');

                            woocommerce_product_loop_start();

                            if (wc_get_loop_prop('total')) {
                                while (have_posts()) {
                                    the_post();

                                    /**
                                     * Hook: woocommerce_shop_loop.
                                     *
                                     * @hooked WC_Structured_Data::generate_product_data() - 10
                                     */
                                    do_action('woocommerce_shop_loop');

                                    wc_get_template_part('content', 'product');
                                }
                            }

                            woocommerce_product_loop_end();

                            /**
                             * Hook: woocommerce_after_shop_loop.
                             *
                             * @hooked woocommerce_pagination - 10
                             */
                            do_action('woocommerce_after_shop_loop');
                            
                        } else {
                            /**
                             * Hook: woocommerce_no_products_found.
                             *
                             * @hooked wc_no_products_found - 10
                             */
                            do_action('woocommerce_no_products_found');
                        }

                        /**
                         * Hook: woocommerce_after_main_content.
                         *
                         * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
                         */
                        do_action('woocommerce_after_main_content'); ?>


                    </div>
                </div>
                <?php
                if ($sigma['shop_descreption'] == 'enable') { ?>
                    <div class="dgs_single_products_tabs archives-product-desc">
                        <?php do_action('woocommerce_archive_description'); ?>
                    </div>
                <?php } ?>
            </div>

        </div>
    </div>

<?php } ?>

<?php
if ($sigma['shop_sidebar'] == 'left-sidebar') { ?>

    <div class="container<?php echo $sigma['shop_page_layout']; ?>">
    <div class="row">
        <div class="col-lg-9">
            <div class="breadcrumb_post">
                <?php
                $args = array(
                    'delimiter' => ' <i></i> ',
                    'home' => __('home',  'sigma-theme'));
                woocommerce_breadcrumb($args); ?>
            </div>
            <div class="archives-product">
                <div class="row archives_sigma">

                    <?php
                    defined('ABSPATH') || exit;
                    get_header('shop'); ?>

                    <header class="woocommerce-products-header">
                        <?php if (apply_filters('woocommerce_show_page_title', true)) : ?>
                            <h1 class="woocommerce-products-header__title page-title"><?php woocommerce_page_title(); ?></h1>
                        <?php endif; ?>
                    </header>
                    <?php
                    if (woocommerce_product_loop()) {

                        /**
                         * Hook: woocommerce_before_shop_loop.
                         *
                         * @hooked woocommerce_output_all_notices - 10
                         * @hooked woocommerce_result_count - 20
                         * @hooked woocommerce_catalog_ordering - 30
                         */
                        do_action('woocommerce_before_shop_loop');

                        woocommerce_product_loop_start();

                        if (wc_get_loop_prop('total')) {
                            while (have_posts()) {
                                the_post();

                                /**
                                 * Hook: woocommerce_shop_loop.
                                 *
                                 * @hooked WC_Structured_Data::generate_product_data() - 10
                                 */
                                do_action('woocommerce_shop_loop');

                                wc_get_template_part('content', 'product');
                            }
                        }

                        woocommerce_product_loop_end();

                        /**
                         * Hook: woocommerce_after_shop_loop.
                         *
                         * @hooked woocommerce_pagination - 10
                         */
                        do_action('woocommerce_after_shop_loop');
                    } else {
                        /**
                         * Hook: woocommerce_no_products_found.
                         *
                         * @hooked wc_no_products_found - 10
                         */
                        do_action('woocommerce_no_products_found');
                    }

                    /**
                     * Hook: woocommerce_after_main_content.
                     *
                     * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
                     */
                    do_action('woocommerce_after_main_content'); ?>


                </div>
            </div>
            <div class="col-lg-3 nopadding-left side-archive">
                <div class="sidebar_shop">

                    <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('shop-sidebar')) : else : ?><?php endif; ?>


                </div>
                <div style="display:<?php 
                echo $sigma['side_ads']; ?>" class="ads_sidebar">
                    <a href="<?php 
                    echo $sigma['ads_side_link']; ?>" target="<?php 
                    echo $sigma['ads_side_target']; ?>">

                        <?php 
                        if ($sigma['ads_side_banner']['url'] != '') { ?>
                            <img src="<?php echo $sigma['ads_side_banner']['url']; ?>">
                        <?php } else { ?>
                            <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/ads300-1.png">
                        <?php } ?>

                    </a>
                </div>

                <?php if (is_active_sidebar('permissions-sidebar')) { ?>
                    <div id="permissions" class="owl-carousel owl-theme enamad">

                        <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('permissions-sidebar')) : else : ?><?php endif; ?>

                    </div>
                <?php } ?>


            </div>

        </div>
    </div>

<?php } ?>


<?php
if ($sigma['shop_sidebar'] == 'none-sidebar') {
    ?>
    <div class="container<?php echo $sigma['shop_page_layout']; ?>">
        <div class="row">

            <div class="col-lg-12">

                <div class="breadcrumb_post">
                    <?php
                    $args = array(
                        'delimiter' => ' <i></i> ',
                        'home' => __('home',  'sigma-theme'));
                    woocommerce_breadcrumb($args); ?>
                </div>
                <div class="archives-product">
                    <div class="row archives_sigma">

                        <?php
                        defined('ABSPATH') || exit;
                        get_header('shop'); ?>

                        <header class="woocommerce-products-header">
                            <?php if (apply_filters('woocommerce_show_page_title', true)) : ?>
                                <h1 class="woocommerce-products-header__title page-title"><?php woocommerce_page_title(); ?></h1>
                            <?php endif; ?>
                        </header>
                        <?php
                        if (woocommerce_product_loop()) {

                            /**
                             * Hook: woocommerce_before_shop_loop.
                             *
                             * @hooked woocommerce_output_all_notices - 10
                             * @hooked woocommerce_result_count - 20
                             * @hooked woocommerce_catalog_ordering - 30
                             */
                            do_action('woocommerce_before_shop_loop');

                            woocommerce_product_loop_start();

                            if (wc_get_loop_prop('total')) {
                                while (have_posts()) {
                                    the_post();

                                    /**
                                     * Hook: woocommerce_shop_loop.
                                     *
                                     * @hooked WC_Structured_Data::generate_product_data() - 10
                                     */
                                    do_action('woocommerce_shop_loop');

                                    wc_get_template_part('content', 'product');
                                }
                            }

                            woocommerce_product_loop_end();

                            /**
                             * Hook: woocommerce_after_shop_loop.
                             *
                             * @hooked woocommerce_pagination - 10
                             */
                            do_action('woocommerce_after_shop_loop');
                        } else {
                            /**
                             * Hook: woocommerce_no_products_found.
                             *
                             * @hooked wc_no_products_found - 10
                             */
                            do_action('woocommerce_no_products_found');
                        }

                        /**
                         * Hook: woocommerce_after_main_content.
                         *
                         * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
                         */
                        do_action('woocommerce_after_main_content'); ?>


                    </div>
                </div>
                <?php
                if ($sigma['shop_descreption'] == 'enable') {
                    ?>
                    <div class="dgs_single_products_tabs archives-product-desc">
                        <?php do_action('woocommerce_archive_description'); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>

<?php } ?>


<?php get_template_part('template-part/footers/footer');
get_footer();
