<?php
/**
 * Lost password form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-lost-password.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.2
 */

get_header();

defined('ABSPATH') || exit;
do_action('woocommerce_before_lost_password_form');
?>

<?php
global $sigma;
if ($sigma['lostt_style_page'] == 'dashboard/last-password/last-password-style-one') : ?>

    <div class="formholder-v1" style="background:<?php 
    echo $sigma['reset_page_back']['background-color']; ?>">
    <div class="u-column2 form-container container_login_v1_woo" style="background: url(<?php 
    echo $sigma['reset_form_back']['background-image']; ?>) <?php 
    echo $sigma['reset_form_back']['background-color']; ?> no-repeat;">

<?php endif; ?>

<?php
if ($sigma['lostt_style_page'] == 'dashboard/last-password/last-password-style-two') : ?>

    <div class="u-columns col2-set formholder-v2" id="customer_login">
    <div class="u-column2 form-container-v2 container_login_v2_woo" style="background:url( <?php 
    echo $sigma['reset_v2_bg']['background-image']; ?>)  no-repeat">
    <div class="container form-v2-container">
    <div class="row">
    <div class="col-lg-6 note-form-v2 nopadding" style="background:url(<?php 
    echo $sigma['lost_pass_v2_left_box_back_photo']['background-image']; ?>);">
        <a href="<?php bloginfo('url') ?>" target="_blank">
            <?php 
            if ($sigma['lost_image_v2']['url'] != '') { ?>
                <img src="<?php echo $sigma['lost_image_v2']['url']; ?>">
            <?php } else { ?>
                <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/logo-light.png">
            <?php } ?>
        </a>
        <?php 
        echo $sigma['content_reset']; ?>

        <a href="<?php 
        echo $sigma['content_reset_btn_link']; ?>" target="_blank" class="more-panel"><?php 
            echo $sigma['content_reset_btn_text']; ?></a>
    </div>

    <div class="col-lg-6 content-form-v2">

    <?php 
    if ($sigma['losst_user_image_v2']['url'] != '') { ?>
        <img src="<?php echo $sigma['losst_user_image_v2']['url']; ?>">
    <?php } else { ?>
        <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/boy-150x150.png">
    <?php } ?>

<?php endif; ?>

<?php

if ($sigma['lostt_style_page'] == 'dashboard/last-password/last-password-style-three') : ?>

    <div class="u-columns col2-set background_login background_login_woo" id="customer_login"
         style="margin:0;background:<?php 
         echo $sigma['lost_pass_v3_box_back']['background-color']; ?>">
    <div class="u-column2 wrapper_login wrapper_register container_login_v3_woo">

    <div class="header_login" style="min-height: auto;background:<?php 
    echo $sigma['lost_pass_v13_box_back']['background-color']; ?>">
        <i class="star-1"></i>
        <i class="star-2"></i>
        <i class="star-3"></i>
        <i class="star-4"></i>
        <i class="star-5"></i>
        <i class="star-6"></i>
        <div class="avatar_login">
            <?php echo get_avatar(get_the_author_meta('user_login'), 80); ?>
        </div>
        <div class="title">
            <h1><?php esc_html_e('Reset password', 'woocommerce'); ?></h1>
        </div>
    </div>

<?php endif; ?>


<?php

if ($sigma['lostt_style_page'] == 'dashboard/last-password/last-password-style-four') : ?>

    <div class="body_login_v4" style="background:<?php 
    echo $sigma['lost_pass_v4_full_back']['background-color']; ?>">
    <div class="u-column2 container_login_v4 container_login_v4_woo" style="background:<?php echo $sigma['lost_pass_v4_back']['background-color']; ?>;border-bottom: <?php echo $sigma['lost_pass_v4_back_border_bottom']; ?> solid ;border-top: solid <?php 
         echo $sigma['lost_pass_v4_back_border_top_color']; ?>">

<?php endif; ?>


    <form method="post" class="woocommerce-ResetPassword lost_reset_password">

        <?php if ($sigma['lostt_style_page'] == 'dashboard/last-password/last-password-style-one') : ?>
            <h1><?php esc_html_e('Reset password', 'woocommerce'); ?></h1>
        <?php endif; ?>

        <?php
        
        if ($sigma['lostt_style_page'] == 'dashboard/last-password/last-password-style-four') : ?>
            <h1><?php esc_html_e('Reset password', 'woocommerce'); ?></h1>
        <?php endif; ?>

        <p class="woocommerce-ResetPasword-note"><?php echo apply_filters('woocommerce_lost_password_message', esc_html__('Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'woocommerce')); ?></p><?php // @codingStandardsIgnoreLine ?>

        <p class="woocommerce-form-row woocommerce-form-row--first form-row form-row-first">
            <label for="user_login"><?php esc_html_e('Username or email', 'woocommerce'); ?></label>
            <input class="woocommerce-Input woocommerce-Input--text input-text" type="text" name="user_login"
                   id="user_login" autocomplete="username"/>
        </p>

        <div class="clear"></div>

        <?php do_action('woocommerce_lostpassword_form'); ?>

        <p class="woocommerce-form-row form-row">
            <input type="hidden" name="wc_reset_password" value="true"/>
            <button type="submit" class="woocommerce-Button button woo-lost-password-submit"
                    value="<?php esc_attr_e('Reset password', 'woocommerce'); ?>"><?php esc_html_e('Reset password', 'woocommerce'); ?></button>
        </p>

        <?php wp_nonce_field('lost_password', 'woocommerce-lost-password-nonce'); ?>

    </form>
    </div>
    </div>

<?php do_action('woocommerce_after_lost_password_form');
get_footer();
wp_footer();